%token '+' '-' '*' '/' 'n' '\n' /* Terminals */
%token NUM                      /* Terminals */

%yystype { REAL } /* Type meahing lexem */

%{ !!fl.make1; %}  /* Create object for lexical analisis */

%%
input:    /* empty */
        | input line
        ;
line:     '\n'  /* Go next string */
	| exp '\n' {yyio.put_real($1)}   /* Print result in screen */
        ;
exp:      NUM         {$$ = $1}       /* Coping digit */
        | exp exp '+' {$$ = $1 + $2}  /* Binary plus in polska record */
        | exp exp '-' {$$ = $1 - $2}  /* Binary negativ in polska record */
        | exp exp '*' {$$ = $1 * $2}  /* Binary multipl in polska record */
        | exp exp '/' {$$ = $1 / $2}  /* Binary  in polska record */
        | exp 'n'     {$$ = -$1}      /* Unary minus in polska record */
        ;
%%
-------------------------------------------------------- variable for parser
con_parse : INTEGER ;   -- Counter for tab_parse
con_val : INTEGER ;     -- Counter for tab_val
fl : FLEX ;             -- Variable type lexical analisis
---------------------------------------------------------------------- yylex
-- This procedure lexical analisis. He return number next lexem.
yylex : INTEGER is
  do
    con_parse := con_parse + 1 ;
    if con_parse <= fl.tab_parse.upper then
       if ( fl.tab_parse.item( con_parse ) = 258 ) then
	  con_val := con_val + 1 ;
	  yylval.set( fl.tab_val.item( con_val ) ) ;
	  Result :=  258 ;
       else
	  Result := fl.tab_parse.item( con_parse ) ;
       end ; -- if
    else
       Result := ENDPARSE ;
    end ; -- if
end ; -- yylex
