
%{
------------------------------------------------------------
--  This file the make lexical analizis , polska record . --
--  Operation '+' '-' '/' '*' - binary ; 'n' '^' - unary. --
--		  Dmitriy E. Devaytkin			  --
------------------------------------------------------------
   creation
	make1
%}

DIGIT    [0-9]
WITESPASE       [ \t\n]

%%

 ----------------------------------------------------------- variable for yylex
  num_parse : INTEGER ;           -- Count in table tab_parse
  num_val : INTEGER ;             -- Count in table tab_val
  tab_parse : ARRAY[ INTEGER ] ;  -- Table for number lexem
  tab_val : ARRAY[ REAL ]         -- Table for meaning lexem
 ---------------------------------------------------------------- pop_tab_parse
 -- This procedure for put lexem in table
  pop_tab_parse( lex : INTEGER ) is
    do
      num_parse := num_parse + 1 ;
      tab_parse.resize( 1 , num_parse ) ;
      tab_parse.put( lex , num_parse ) ;
  end ; -- pop_tab_parse
 ------------------------------------------------------------------ pop_tab_val
 -- This procedure for put meaping lexem in table
  pop_tab_val(val : REAL) is
    do
      num_val := num_val + 1 ;
      tab_val.resize( 1 , num_val ) ;
      tab_val.put( val , num_val ) ;
  end ; -- pop_tab_val
 --------------------------------------------------------------- string_to_real
 -- This procedure for convert string to real
 string_to_real(str : STRING) : REAL is
  local format : FORMAT ;
  do
    !!format ;
    Result := format.s2r( str ) ;
 end ; -- string_to_real


{DIGIT}+"."{DIGIT}*   pop_tab_parse( 258 ) ; pop_tab_val( string_to_real( yy_text ) ) ;
 -- Lexem Digits

"+"  pop_tab_parse( 43 ) ;
 -- Lexem '+'

"-"  pop_tab_parse( 45 ) ;
 -- Lexem '-'

"/"  pop_tab_parse( 47 ) ;
 -- Lexem '/'

"*"  pop_tab_parse( 42 ) ;
 -- Lexem '*'

"n"  pop_tab_parse( 110 ) ;
 -- Lexem 'n'

{WITESPASE}+          -- eat up whitespace

.           yy_print ("Unrecognized character: ");
 ECHO;
 yy_print ("%N");
%%
make1 is
  do
    !!tab_parse.make(1,0);
    !!tab_val.make(1,0);
    make;
    num_parse := num_parse + 1 ;
    tab_parse.resize( 1 , num_parse ) ;
    tab_parse.put( 10 , num_parse ) ;
end ; -- make1
