indexing
   title:       "FLEX";
   cluster:     " ";
   project:     " ";
   copyright:   "SIG Computer", 1995;
   author:      "Alexei Simonov (alex@eiffel.ru)";
   original:    22,Sep,95;
   version:     1.0;
   done_at:     "SIG Computer (info@eiffel.ru)";
   license:     "GNU Library GPL - see included readme file";
   extrnl_name: "flex.e";
-----------------------------------------------------------------------------
class FLEX
-----------------------------------------------------------------------------
   inherit
      LEX
 ------------------------------------------------------------------------------
 -- Lexical analisis for calculate. It output lexems type 'digits' ,         --
 -- the signum operators  and  the error lexem. 			     --
 -- Operators : 							     --
 -- 1. Bynary : '+' , '-' , '*' , '/'  ;                                     --
 -- 2. Unary  : '^' '-' ; ( the prefix record ).                             --
 -- Digits    : 							     --
 -- 1. With the point - 						     --
 -- Example : '9.9' , '9.' , '.9'.                                           --
 -- 2. Not the point -							     --
 -- Example : '9' , '90' .                                                   --
 -- Paren : '(' , ')' .                                                      --
 -- Example record - "^ 9" , "4.0 + ( 5 - ( 10 + - 3 ) * ^ 2.8 ) / 4" .      --
 --									     --
 -- Dmitriy E. Devyatkin						     --
------------------------------------------------------------------------------
   creation
	make1
-----------------------------------------------------------------------------
feature
----------------------------------------------------------------------- make1

make1 is
  do
    !!tab_parse.make( 1 , 0 ) ;
    !!tab_val.make( 1 , 0 ) ;
    !!tab_error.make( 1 , 0 ) ;
    flag_error := false ;
    make;
    num_parse := num_parse + 1 ;
    tab_parse.resize( 1 , num_parse ) ;
    tab_parse.put( 10 , num_parse ) ;
end ; -- make1
-----------------------------------------------------------------------------
end -- class FLEX
-----------------------------------------------------------------------------
