%{
   creation
	make1
%}

DATE    [0-9]
WITESPASE       [ \t\n]

%%

 ----------------------------------------------------------- variable for yylex
  num_parse  : INTEGER ;	     -- Count in table tab_parse
  num_str    : INTEGER ;	     -- Count in table tab_val
  num_err    : INTEGER ;	     -- Count in table tab_error
  tab_parse  : ARRAY[ INTEGER ] ;    -- Table for number lexem
  tab_str    : ARRAY[ STRING ] ;       -- Table for meaning lexem
  tab_error  : ARRAY[ STRING ] ;     -- Table for incorrect lexem
  flag_error : BOOLEAN ;	     -- Flag exist error
 ---------------------------------------------------------------- pop_tab_parse
  pop_tab_parse( lex : INTEGER ) is
    do
      num_parse := num_parse + 1 ;
      tab_parse.resize( 1 , num_parse ) ;
      tab_parse.put( lex , num_parse ) ;
  end ; -- pop_tab_parse
 ------------------------------------------------------------------ pop_tab_val
  pop_tab_str( str : STRING ) is
    do
      num_str := num_str + 1 ;
      tab_str.resize( 1 , num_str ) ;
      tab_str.put( str , num_str ) ;
  end ; -- pop_tab_str
 ---------------------------------------------------------------- pop_tab_error
 pop_tab_error is
   do
      num_err := num_err + 1 ;
      tab_error.resize( 1 , num_err ) ;
      tab_error.put( "" , num_err ) ;
 end ; -- pop_tab_error
 ------------------------------------------------------------------------------

"Welcome"
      pop_tab_parse( 258 ) ;
      pop_tab_str( yy_text );
      flag_error := false ;

"to"
      pop_tab_parse( 259 ) ;
      pop_tab_str( yy_text );
      flag_error := false ;

"Hannover"
      pop_tab_parse( 260 ) ;
      pop_tab_str( yy_text );
      flag_error := false ;

"on"
      pop_tab_parse( 261 ) ;
      pop_tab_str( yy_text );
      flag_error := false ;

"CeBIT"
      pop_tab_parse( 262 ) ;
      pop_tab_str( yy_text );
      flag_error := false ;

"'"{DATE}{DATE}
      pop_tab_parse( 263 ) ;
      pop_tab_str( yy_text );
      flag_error := false ;

"!"
      pop_tab_parse( 33 ) ;
      pop_tab_str( yy_text );
      flag_error := false ;

{WITESPASE}+          -- eat up whitespace

.     if flag_error = false then
	 pop_tab_error( ) ;
	 tab_error.item( num_err ).append( yy_text ) ;
	 flag_error := true
      else
	 tab_error.item( num_err ).append( yy_text ) ;
	 flag_error := true
      end ; -- if
%%
make1 is
  do
    !!tab_parse.make( 1 , 0 ) ;
    !!tab_str.make( 1 , 0 ) ;
    !!tab_error.make( 1 , 0 ) ;
    flag_error := false ;
    make;
end ; -- make1
