##############################################################################
#indexing                                                                    #
#   title:       " ";                                                        #
#   cluster:     " ";                                                        #
#   project:     " ";                                                        #
#   copyright:   "SIG Computer", 1995;                                       #
#   author:      "Alexei Simonov (alex@eiffel.ru)";                          #
#   original:    22,Sep,95;                                                  #
#   version:     1.0;                                                        #
#   done_at:     "SIG Computer (info@eiffel.ru)";                            #
#   license:     "GNU Library GPL - see included readme file";               #
#   extrnl_name: "pascale.l";                                                #
##############################################################################

%{
      rename
         make as make1
      end
%}

DIGIT    [0-9]
ID       [a-z][a-z0-9]*

%%

{DIGIT}+    yy_print ("An integer ");
 ECHO;
 yy_print ("%N");

{DIGIT}+"."{DIGIT}*    yy_print ("A float ");
 ECHO;
 yy_print ("%N");

if|then|else|begin|end|procedure|function    yy_print ("A keyword ");
 ECHO;
 yy_print ("%N");

{ID}    yy_print ("An identifier ");
 ECHO;
 yy_print ("%N");

"+"|"-"|"*"|"/"   yy_print ("An operator ");
 ECHO;
 yy_print ("%N");

"{"[^}\n]*"}"     -- eat up one-line comments

[ \t\n]+          -- eat up whitespace

.   yy_print ("Unrecognized character ");
 ECHO;
 yy_print ("%N");

%%
----------------------------------------------------------------------- make
make is
   do
      make1;
   end -- make

