##############################################################################
#indexing                                                                    #
#   title:       " ";                                                        #
#   cluster:     " ";                                                        #
#   project:     " ";                                                        #
#   copyright:   "SIG Computer", 1995;                                       #
#   author:      "Alexei Simonov (alex@eiffel.ru)";                          #
#   original:    22,Sep,95;                                                  #
#   version:     1.0;                                                        #
#   done_at:     "SIG Computer (info@eiffel.ru)";                            #
#   license:     "GNU Library GPL - see included readme file";               #
#   extrnl_name: "exampl1.l";                                                #
##############################################################################

%{
   rename
      make as make1
   redefine
      yy_user_init
   end
%}

%x expect expect1 expect2

%%
      num_lines : INTEGER;
      num_chars : INTEGER;
      yyin_f    : INTEGER;

<INITIAL,expect2>\n  %{
num_lines := num_lines + 1;
num_chars := num_chars + 1;
%}

exit  %{
BEGIN (expect);
io.put_string ("Quit to DOS? (Y/N)");
io.put_newline;
%}

<expect>"\n"   -- new line

<expect>"Y"|"y"   yylex_loop_flag := false;

<expect>"N"|"n"   BEGIN (expect1);

<expect,expect1>.+   %{
io.put_string ("??!!!... Quit to DOS? (Y/N)");
io.put_newline;
%}

<expect1>"\n"  BEGIN (INITIAL);

<INITIAL,expect2>.     num_chars := num_chars + 1;


%%
---------------------------------------------------------------- yy_user_init
yy_user_init is

   do
      num_lines := 0;
      num_chars := 0;
      if yyin = 0 then
         yyin_f := 1;
      else
         yyin_f := 2;
         BEGIN (expect2);
      end -- if;
   end -- yy_user_init
------------------------------------------------------------------------ make
make is

   do
      make1;
      print_results;
   end -- make
--------------------------------------------------------------- print_results
print_results is

   do
      io.put_string ("lines = ");
      io.put_int (num_lines // yyin_f);
      io.put_newline;
      io.put_string ("chars = ");
      io.put_int (num_chars);
      io.put_newline;
   end -- print_results
