##############################################################################
#indexing                                                                    #
#   title:       " ";                                                        #
#   cluster:     " ";                                                        #
#   project:     " ";                                                        #
#   copyright:   "SIG Computer", 1995;                                       #
#   author:      "Alexei Simonov (alex@eiffel.ru)";                          #
#   original:    22,Sep,95;                                                  #
#   version:     1.0;                                                        #
#   done_at:     "SIG Computer (info@eiffel.ru)";                            #
#   license:     "GNU Library GPL - see included readme file";               #
#   extrnl_name: "exampl2.l";                                                #
##############################################################################

%{
   rename
      make as make1
   redefine
      yy_user_init
   end
%}

ID    [a-zA-Z']

%x expect expect1

%%

{ID}+    %{
yy_print ("Hello ");
ECHO;
yy_print ("! Welcome to the program!%N");
BEGIN(expect);
%}

<expect>"real"    BEGIN(expect1);

<expect1>[0-9]+"."[0-9]+    %{
yy_print ("A REAL: ");
ECHO;
yy_print ("%N");
%}

<expect1>[ \t]*

<expect1>\n
        -- that's the end of the line, so
        -- we need another "expect-number"
        -- before we'll recognize any more
        -- numbers

        BEGIN(expect);


<expect>[0-9]+    %{
yy_print ("found an INTEGER: ");
ECHO;
yy_print ("%N");
%}

<expect>"."    %{
yy_print( "found a dot: ");
ECHO;
yy_print ("%N");
%}

<expect>.    %{
yy_print ("Unrecognized character: ");
ECHO;
yy_print ("%N");
%}

<expect>"\n"     -- new line


<expect>"good"/"-bye"    %{
yy_print ("Good-bye!%N");
yylex_loop_flag := false;
%}

"\n"     -- new line

.+   %{
ECHO;
yy_print ("This is not name!%N");
%}

%%
---------------------------------------------------------------- yy_user_init
yy_user_init is

   do
      yy_print ("What is your name? %N");
   end -- yy_user_init
------------------------------------------------------------------------ make
make is
   do
      make1;
   end -- make
